io.vertx.rxjava.ext.mongo

## Class MongoService

- java.lang.Object
- - io.vertx.rxjava.ext.mongo.MongoClient
  - - io.vertx.rxjava.ext.mongo.MongoService

-     public class MongoService
      extends MongoClient

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MongoService>` | `__TYPE_ARG`
    `static String` | `DEFAULT_DB_NAME` The name of the default database
    `static String` | `DEFAULT_POOL_NAME` The name of the default pool

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoService(io.vertx.ext.mongo.MongoService delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `MongoService` | `bulkWrite(String collection, List<BulkOperation> operations, Handler<AsyncResult<MongoClientBulkWriteResult>> resultHandler)` Execute a bulk operation.
    `Observable<MongoClientBulkWriteResult>` | `bulkWriteObservable(String collection, List<BulkOperation> operations)` Deprecated.
    `MongoService` | `bulkWriteWithOptions(String collection, List<BulkOperation> operations, BulkWriteOptions bulkWriteOptions, Handler<AsyncResult<MongoClientBulkWriteResult>> resultHandler)` Execute a bulk operation with the specified write options.
    `Observable<MongoClientBulkWriteResult>` | `bulkWriteWithOptionsObservable(String collection, List<BulkOperation> operations, BulkWriteOptions bulkWriteOptions)` Deprecated.
    `void` | `close()` Close the client and release its resources
    `MongoService` | `count(String collection, JsonObject query, Handler<AsyncResult<Long>> resultHandler)` Count matching documents in a collection.
    `Observable<Long>` | `countObservable(String collection, JsonObject query)` Deprecated.
    `MongoService` | `createCollection(String collectionName, Handler<AsyncResult<Void>> resultHandler)` Create a new collection
    `Observable<Void>` | `createCollectionObservable(String collectionName)` Deprecated.
    `static MongoService` | `createEventBusProxy(Vertx vertx, String address)` Create a proxy to a service that is deployed somewhere on the event bus
    `MongoService` | `createIndex(String collection, JsonObject key, Handler<AsyncResult<Void>> resultHandler)` Creates an index.
    `Observable<Void>` | `createIndexObservable(String collection, JsonObject key)` Deprecated.
    `MongoService` | `createIndexWithOptions(String collection, JsonObject key, IndexOptions options, Handler<AsyncResult<Void>> resultHandler)` Creates an index.
    `Observable<Void>` | `createIndexWithOptionsObservable(String collection, JsonObject key, IndexOptions options)` Deprecated.
    `MongoService` | `distinct(String collection, String fieldName, String resultClassname, Handler<AsyncResult<JsonArray>> resultHandler)` Gets the distinct values of the specified field name.
    `Observable<JsonArray>` | `distinctObservable(String collection, String fieldName, String resultClassname)` Deprecated.
    `MongoService` | `distinctWithQuery(String collection, String fieldName, String resultClassname, JsonObject query, Handler<AsyncResult<JsonArray>> resultHandler)` Gets the distinct values of the specified field name filtered by specified query.
    `Observable<JsonArray>` | `distinctWithQueryObservable(String collection, String fieldName, String resultClassname, JsonObject query)` Deprecated.
    `MongoService` | `dropCollection(String collection, Handler<AsyncResult<Void>> resultHandler)` Drop a collection
    `Observable<Void>` | `dropCollectionObservable(String collection)` Deprecated.
    `MongoService` | `dropIndex(String collection, String indexName, Handler<AsyncResult<Void>> resultHandler)` Drops the index given its name.
    `Observable<Void>` | `dropIndexObservable(String collection, String indexName)` Deprecated.
    `boolean` | `equals(Object o)`
    `MongoService` | `find(String collection, JsonObject query, Handler<AsyncResult<List<JsonObject>>> resultHandler)` Find matching documents in the specified collection
    `Observable<List<JsonObject>>` | `findObservable(String collection, JsonObject query)` Deprecated.
    `MongoService` | `findOne(String collection, JsonObject query, JsonObject fields, Handler<AsyncResult<JsonObject>> resultHandler)` Find a single matching document in the specified collection
    `MongoService` | `findOneAndDelete(String collection, JsonObject query, Handler<AsyncResult<JsonObject>> resultHandler)` Find a single matching document in the specified collection and delete it.
    `Observable<JsonObject>` | `findOneAndDeleteObservable(String collection, JsonObject query)` Deprecated.
    `MongoService` | `findOneAndDeleteWithOptions(String collection, JsonObject query, FindOptions findOptions, Handler<AsyncResult<JsonObject>> resultHandler)` Find a single matching document in the specified collection and delete it.
    `Observable<JsonObject>` | `findOneAndDeleteWithOptionsObservable(String collection, JsonObject query, FindOptions findOptions)` Deprecated.
    `MongoService` | `findOneAndReplace(String collection, JsonObject query, JsonObject replace, Handler<AsyncResult<JsonObject>> resultHandler)` Find a single matching document in the specified collection and replace it.
    `Observable<JsonObject>` | `findOneAndReplaceObservable(String collection, JsonObject query, JsonObject replace)` Deprecated.
    `MongoService` | `findOneAndReplaceWithOptions(String collection, JsonObject query, JsonObject update, FindOptions findOptions, UpdateOptions updateOptions, Handler<AsyncResult<JsonObject>> resultHandler)` Find a single matching document in the specified collection and replace it.
    `Observable<JsonObject>` | `findOneAndReplaceWithOptionsObservable(String collection, JsonObject query, JsonObject update, FindOptions findOptions, UpdateOptions updateOptions)` Deprecated.
    `MongoService` | `findOneAndUpdate(String collection, JsonObject query, JsonObject update, Handler<AsyncResult<JsonObject>> resultHandler)` Find a single matching document in the specified collection and update it.
    `Observable<JsonObject>` | `findOneAndUpdateObservable(String collection, JsonObject query, JsonObject update)` Deprecated.
    `MongoService` | `findOneAndUpdateWithOptions(String collection, JsonObject query, JsonObject update, FindOptions findOptions, UpdateOptions updateOptions, Handler<AsyncResult<JsonObject>> resultHandler)` Find a single matching document in the specified collection and update it.
    `Observable<JsonObject>` | `findOneAndUpdateWithOptionsObservable(String collection, JsonObject query, JsonObject update, FindOptions findOptions, UpdateOptions updateOptions)` Deprecated.
    `Observable<JsonObject>` | `findOneObservable(String collection, JsonObject query, JsonObject fields)` Deprecated.
    `MongoService` | `findWithOptions(String collection, JsonObject query, FindOptions options, Handler<AsyncResult<List<JsonObject>>> resultHandler)` Find matching documents in the specified collection, specifying options
    `Observable<List<JsonObject>>` | `findWithOptionsObservable(String collection, JsonObject query, FindOptions options)` Deprecated.
    `MongoService` | `getCollections(Handler<AsyncResult<List<String>>> resultHandler)` Get a list of all collections in the database.
    `Observable<List<String>>` | `getCollectionsObservable()` Deprecated.
    `io.vertx.ext.mongo.MongoService` | `getDelegate()`
    `int` | `hashCode()`
    `MongoService` | `insert(String collection, JsonObject document, Handler<AsyncResult<String>> resultHandler)` Insert a document in the specified collection
    `Observable<String>` | `insertObservable(String collection, JsonObject document)` Deprecated.
    `MongoService` | `insertWithOptions(String collection, JsonObject document, WriteOption writeOption, Handler<AsyncResult<String>> resultHandler)` Insert a document in the specified collection with the specified write option
    `Observable<String>` | `insertWithOptionsObservable(String collection, JsonObject document, WriteOption writeOption)` Deprecated.
    `MongoService` | `listIndexes(String collection, Handler<AsyncResult<JsonArray>> resultHandler)` Get all the indexes in this collection.
    `Observable<JsonArray>` | `listIndexesObservable(String collection)` Deprecated.
    `static MongoService` | `newInstance(io.vertx.ext.mongo.MongoService arg)`
    `MongoService` | `remove(String collection, JsonObject query, Handler<AsyncResult<Void>> resultHandler)` Deprecated.
    `MongoService` | `removeDocument(String collection, JsonObject query, Handler<AsyncResult<MongoClientDeleteResult>> resultHandler)` Remove a single matching document from a collection and return the handler with MongoClientDeleteResult result
    `Observable<MongoClientDeleteResult>` | `removeDocumentObservable(String collection, JsonObject query)` Deprecated.
    `MongoService` | `removeDocuments(String collection, JsonObject query, Handler<AsyncResult<MongoClientDeleteResult>> resultHandler)` Remove matching documents from a collection and return the handler with MongoClientDeleteResult result
    `Observable<MongoClientDeleteResult>` | `removeDocumentsObservable(String collection, JsonObject query)` Deprecated.
    `MongoService` | `removeDocumentsWithOptions(String collection, JsonObject query, WriteOption writeOption, Handler<AsyncResult<MongoClientDeleteResult>> resultHandler)` Remove matching documents from a collection with the specified write option and return the handler with MongoClientDeleteResult result
    `Observable<MongoClientDeleteResult>` | `removeDocumentsWithOptionsObservable(String collection, JsonObject query, WriteOption writeOption)` Deprecated.
    `MongoService` | `removeDocumentWithOptions(String collection, JsonObject query, WriteOption writeOption, Handler<AsyncResult<MongoClientDeleteResult>> resultHandler)` Remove a single matching document from a collection with the specified write option and return the handler with MongoClientDeleteResult result
    `Observable<MongoClientDeleteResult>` | `removeDocumentWithOptionsObservable(String collection, JsonObject query, WriteOption writeOption)` Deprecated.
    `Observable<Void>` | `removeObservable(String collection, JsonObject query)` Deprecated.
    `MongoService` | `removeOne(String collection, JsonObject query, Handler<AsyncResult<Void>> resultHandler)` Deprecated.
    `Observable<Void>` | `removeOneObservable(String collection, JsonObject query)` Deprecated.
    `MongoService` | `removeOneWithOptions(String collection, JsonObject query, WriteOption writeOption, Handler<AsyncResult<Void>> resultHandler)` Deprecated.
    `Observable<Void>` | `removeOneWithOptionsObservable(String collection, JsonObject query, WriteOption writeOption)` Deprecated.
    `MongoService` | `removeWithOptions(String collection, JsonObject query, WriteOption writeOption, Handler<AsyncResult<Void>> resultHandler)` Deprecated.
    `Observable<Void>` | `removeWithOptionsObservable(String collection, JsonObject query, WriteOption writeOption)` Deprecated.
    `MongoService` | `replace(String collection, JsonObject query, JsonObject replace, Handler<AsyncResult<Void>> resultHandler)` Deprecated.
    `MongoService` | `replaceDocuments(String collection, JsonObject query, JsonObject replace, Handler<AsyncResult<MongoClientUpdateResult>> resultHandler)` Replace matching documents in the specified collection and return the handler with MongoClientUpdateResult result
    `Observable<MongoClientUpdateResult>` | `replaceDocumentsObservable(String collection, JsonObject query, JsonObject replace)` Deprecated.
    `MongoService` | `replaceDocumentsWithOptions(String collection, JsonObject query, JsonObject replace, UpdateOptions options, Handler<AsyncResult<MongoClientUpdateResult>> resultHandler)` Replace matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
    `Observable<MongoClientUpdateResult>` | `replaceDocumentsWithOptionsObservable(String collection, JsonObject query, JsonObject replace, UpdateOptions options)` Deprecated.
    `Observable<Void>` | `replaceObservable(String collection, JsonObject query, JsonObject replace)` Deprecated.
    `MongoService` | `replaceWithOptions(String collection, JsonObject query, JsonObject replace, UpdateOptions options, Handler<AsyncResult<Void>> resultHandler)` Deprecated.
    `Observable<Void>` | `replaceWithOptionsObservable(String collection, JsonObject query, JsonObject replace, UpdateOptions options)` Deprecated.
    `MongoService` | `runCommand(String commandName, JsonObject command, Handler<AsyncResult<JsonObject>> resultHandler)` Run an arbitrary MongoDB command.
    `Observable<JsonObject>` | `runCommandObservable(String commandName, JsonObject command)` Deprecated.
    `Single<MongoClientBulkWriteResult>` | `rxBulkWrite(String collection, List<BulkOperation> operations)` Execute a bulk operation.
    `Single<MongoClientBulkWriteResult>` | `rxBulkWriteWithOptions(String collection, List<BulkOperation> operations, BulkWriteOptions bulkWriteOptions)` Execute a bulk operation with the specified write options.
    `Single<Long>` | `rxCount(String collection, JsonObject query)` Count matching documents in a collection.
    `Single<Void>` | `rxCreateCollection(String collectionName)` Create a new collection
    `Single<Void>` | `rxCreateIndex(String collection, JsonObject key)` Creates an index.
    `Single<Void>` | `rxCreateIndexWithOptions(String collection, JsonObject key, IndexOptions options)` Creates an index.
    `Single<JsonArray>` | `rxDistinct(String collection, String fieldName, String resultClassname)` Gets the distinct values of the specified field name.
    `Single<JsonArray>` | `rxDistinctWithQuery(String collection, String fieldName, String resultClassname, JsonObject query)` Gets the distinct values of the specified field name filtered by specified query.
    `Single<Void>` | `rxDropCollection(String collection)` Drop a collection
    `Single<Void>` | `rxDropIndex(String collection, String indexName)` Drops the index given its name.
    `Single<List<JsonObject>>` | `rxFind(String collection, JsonObject query)` Find matching documents in the specified collection
    `Single<JsonObject>` | `rxFindOne(String collection, JsonObject query, JsonObject fields)` Find a single matching document in the specified collection
    `Single<JsonObject>` | `rxFindOneAndDelete(String collection, JsonObject query)` Find a single matching document in the specified collection and delete it.
    `Single<JsonObject>` | `rxFindOneAndDeleteWithOptions(String collection, JsonObject query, FindOptions findOptions)` Find a single matching document in the specified collection and delete it.
    `Single<JsonObject>` | `rxFindOneAndReplace(String collection, JsonObject query, JsonObject replace)` Find a single matching document in the specified collection and replace it.
    `Single<JsonObject>` | `rxFindOneAndReplaceWithOptions(String collection, JsonObject query, JsonObject update, FindOptions findOptions, UpdateOptions updateOptions)` Find a single matching document in the specified collection and replace it.
    `Single<JsonObject>` | `rxFindOneAndUpdate(String collection, JsonObject query, JsonObject update)` Find a single matching document in the specified collection and update it.
    `Single<JsonObject>` | `rxFindOneAndUpdateWithOptions(String collection, JsonObject query, JsonObject update, FindOptions findOptions, UpdateOptions updateOptions)` Find a single matching document in the specified collection and update it.
    `Single<List<JsonObject>>` | `rxFindWithOptions(String collection, JsonObject query, FindOptions options)` Find matching documents in the specified collection, specifying options
    `Single<List<String>>` | `rxGetCollections()` Get a list of all collections in the database.
    `Single<String>` | `rxInsert(String collection, JsonObject document)` Insert a document in the specified collection
    `Single<String>` | `rxInsertWithOptions(String collection, JsonObject document, WriteOption writeOption)` Insert a document in the specified collection with the specified write option
    `Single<JsonArray>` | `rxListIndexes(String collection)` Get all the indexes in this collection.
    `Single<Void>` | `rxRemove(String collection, JsonObject query)` Deprecated.
    `Single<MongoClientDeleteResult>` | `rxRemoveDocument(String collection, JsonObject query)` Remove a single matching document from a collection and return the handler with MongoClientDeleteResult result
    `Single<MongoClientDeleteResult>` | `rxRemoveDocuments(String collection, JsonObject query)` Remove matching documents from a collection and return the handler with MongoClientDeleteResult result
    `Single<MongoClientDeleteResult>` | `rxRemoveDocumentsWithOptions(String collection, JsonObject query, WriteOption writeOption)` Remove matching documents from a collection with the specified write option and return the handler with MongoClientDeleteResult result
    `Single<MongoClientDeleteResult>` | `rxRemoveDocumentWithOptions(String collection, JsonObject query, WriteOption writeOption)` Remove a single matching document from a collection with the specified write option and return the handler with MongoClientDeleteResult result
    `Single<Void>` | `rxRemoveOne(String collection, JsonObject query)` Deprecated.
    `Single<Void>` | `rxRemoveOneWithOptions(String collection, JsonObject query, WriteOption writeOption)` Deprecated.
    `Single<Void>` | `rxRemoveWithOptions(String collection, JsonObject query, WriteOption writeOption)` Deprecated.
    `Single<Void>` | `rxReplace(String collection, JsonObject query, JsonObject replace)` Deprecated.
    `Single<MongoClientUpdateResult>` | `rxReplaceDocuments(String collection, JsonObject query, JsonObject replace)` Replace matching documents in the specified collection and return the handler with MongoClientUpdateResult result
    `Single<MongoClientUpdateResult>` | `rxReplaceDocumentsWithOptions(String collection, JsonObject query, JsonObject replace, UpdateOptions options)` Replace matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
    `Single<Void>` | `rxReplaceWithOptions(String collection, JsonObject query, JsonObject replace, UpdateOptions options)` Deprecated.
    `Single<JsonObject>` | `rxRunCommand(String commandName, JsonObject command)` Run an arbitrary MongoDB command.
    `Single<String>` | `rxSave(String collection, JsonObject document)` Save a document in the specified collection
    `Single<String>` | `rxSaveWithOptions(String collection, JsonObject document, WriteOption writeOption)` Save a document in the specified collection with the specified write option
    `Single<Void>` | `rxUpdate(String collection, JsonObject query, JsonObject update)` Deprecated.
    `Single<MongoClientUpdateResult>` | `rxUpdateCollection(String collection, JsonObject query, JsonObject update)` Update matching documents in the specified collection and return the handler with MongoClientUpdateResult result
    `Single<MongoClientUpdateResult>` | `rxUpdateCollectionWithOptions(String collection, JsonObject query, JsonObject update, UpdateOptions options)` Update matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
    `Single<Void>` | `rxUpdateWithOptions(String collection, JsonObject query, JsonObject update, UpdateOptions options)` Deprecated.
    `MongoService` | `save(String collection, JsonObject document, Handler<AsyncResult<String>> resultHandler)` Save a document in the specified collection
    `Observable<String>` | `saveObservable(String collection, JsonObject document)` Deprecated.
    `MongoService` | `saveWithOptions(String collection, JsonObject document, WriteOption writeOption, Handler<AsyncResult<String>> resultHandler)` Save a document in the specified collection with the specified write option
    `Observable<String>` | `saveWithOptionsObservable(String collection, JsonObject document, WriteOption writeOption)` Deprecated.
    `String` | `toString()`
    `MongoService` | `update(String collection, JsonObject query, JsonObject update, Handler<AsyncResult<Void>> resultHandler)` Deprecated.
    `MongoService` | `updateCollection(String collection, JsonObject query, JsonObject update, Handler<AsyncResult<MongoClientUpdateResult>> resultHandler)` Update matching documents in the specified collection and return the handler with MongoClientUpdateResult result
    `Observable<MongoClientUpdateResult>` | `updateCollectionObservable(String collection, JsonObject query, JsonObject update)` Deprecated.
    `MongoService` | `updateCollectionWithOptions(String collection, JsonObject query, JsonObject update, UpdateOptions options, Handler<AsyncResult<MongoClientUpdateResult>> resultHandler)` Update matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
    `Observable<MongoClientUpdateResult>` | `updateCollectionWithOptionsObservable(String collection, JsonObject query, JsonObject update, UpdateOptions options)` Deprecated.
    `Observable<Void>` | `updateObservable(String collection, JsonObject query, JsonObject update)` Deprecated.
    `MongoService` | `updateWithOptions(String collection, JsonObject query, JsonObject update, UpdateOptions options, Handler<AsyncResult<Void>> resultHandler)` Deprecated.
    `Observable<Void>` | `updateWithOptionsObservable(String collection, JsonObject query, JsonObject update, UpdateOptions options)` Deprecated.

    - ### Methods inherited from class io.vertx.rxjava.ext.mongo.MongoClient

      `aggregate, aggregateWithOptions, createNonShared, createShared, createShared, distinctBatch, distinctBatchWithQuery, distinctBatchWithQuery, findBatch, findBatchWithOptions, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MongoService> __TYPE_ARG

    - #### DEFAULT_POOL_NAME

          public static final String DEFAULT_POOL_NAME

      The name of the default pool
      See Also:
        Constant Field Values

    - #### DEFAULT_DB_NAME

          public static final String DEFAULT_DB_NAME

      The name of the default database
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MongoService

          public MongoService(io.vertx.ext.mongo.MongoService delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `MongoClient`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `MongoClient`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `MongoClient`

    - #### getDelegate

          public io.vertx.ext.mongo.MongoService getDelegate()

      Overrides:
        `getDelegate` in class `MongoClient`

    - #### createEventBusProxy

          public static MongoService createEventBusProxy(Vertx vertx,
                                                         String address)

      Create a proxy to a service that is deployed somewhere on the event bus
      Parameters:
        `vertx` - the Vert.x instance
        `address` - the address the service is listening on on the event bus
      Returns:
        the service

    - #### save

          public MongoService save(String collection,
                                   JsonObject document,
                                   Handler<AsyncResult<String>> resultHandler)

      Description copied from class: `MongoClient`
      Save a document in the specified collection

      This operation might change _id field of document parameter

      Overrides:
        `save` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `document` - the document
        `resultHandler` - result handler will be provided with the id if document didn't already have one
      Returns:

    - #### saveObservable

          @Deprecated
          public Observable<String> saveObservable(String collection,
                                                               JsonObject document)

      Deprecated.
      Description copied from class: `MongoClient`
      Save a document in the specified collection

      This operation might change _id field of document parameter

      Overrides:
        `saveObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `document` - the document
      Returns:

    - #### rxSave

          public Single<String> rxSave(String collection,
                                       JsonObject document)

      Description copied from class: `MongoClient`
      Save a document in the specified collection

      This operation might change _id field of document parameter

      Overrides:
        `rxSave` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `document` - the document
      Returns:

    - #### saveWithOptions

          public MongoService saveWithOptions(String collection,
                                              JsonObject document,
                                              WriteOption writeOption,
                                              Handler<AsyncResult<String>> resultHandler)

      Description copied from class: `MongoClient`
      Save a document in the specified collection with the specified write option

      This operation might change _id field of document parameter

      Overrides:
        `saveWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `document` - the document
        `writeOption` - the write option to use
        `resultHandler` - result handler will be provided with the id if document didn't already have one
      Returns:

    - #### saveWithOptionsObservable

          @Deprecated
          public Observable<String> saveWithOptionsObservable(String collection,
                                                                          JsonObject document,
                                                                          WriteOption writeOption)

      Deprecated.
      Description copied from class: `MongoClient`
      Save a document in the specified collection with the specified write option

      This operation might change _id field of document parameter

      Overrides:
        `saveWithOptionsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `document` - the document
        `writeOption` - the write option to use
      Returns:

    - #### rxSaveWithOptions

          public Single<String> rxSaveWithOptions(String collection,
                                                  JsonObject document,
                                                  WriteOption writeOption)

      Description copied from class: `MongoClient`
      Save a document in the specified collection with the specified write option

      This operation might change _id field of document parameter

      Overrides:
        `rxSaveWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `document` - the document
        `writeOption` - the write option to use
      Returns:

    - #### insert

          public MongoService insert(String collection,
                                     JsonObject document,
                                     Handler<AsyncResult<String>> resultHandler)

      Description copied from class: `MongoClient`
      Insert a document in the specified collection

      This operation might change _id field of document parameter

      Overrides:
        `insert` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `document` - the document
        `resultHandler` - result handler will be provided with the id if document didn't already have one
      Returns:

    - #### insertObservable

          @Deprecated
          public Observable<String> insertObservable(String collection,
                                                                 JsonObject document)

      Deprecated.
      Description copied from class: `MongoClient`
      Insert a document in the specified collection

      This operation might change _id field of document parameter

      Overrides:
        `insertObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `document` - the document
      Returns:

    - #### rxInsert

          public Single<String> rxInsert(String collection,
                                         JsonObject document)

      Description copied from class: `MongoClient`
      Insert a document in the specified collection

      This operation might change _id field of document parameter

      Overrides:
        `rxInsert` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `document` - the document
      Returns:

    - #### insertWithOptions

          public MongoService insertWithOptions(String collection,
                                                JsonObject document,
                                                WriteOption writeOption,
                                                Handler<AsyncResult<String>> resultHandler)

      Description copied from class: `MongoClient`
      Insert a document in the specified collection with the specified write option

      This operation might change _id field of document parameter

      Overrides:
        `insertWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `document` - the document
        `writeOption` - the write option to use
        `resultHandler` - result handler will be provided with the id if document didn't already have one
      Returns:

    - #### insertWithOptionsObservable

          @Deprecated
          public Observable<String> insertWithOptionsObservable(String collection,
                                                                            JsonObject document,
                                                                            WriteOption writeOption)

      Deprecated.
      Description copied from class: `MongoClient`
      Insert a document in the specified collection with the specified write option

      This operation might change _id field of document parameter

      Overrides:
        `insertWithOptionsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `document` - the document
        `writeOption` - the write option to use
      Returns:

    - #### rxInsertWithOptions

          public Single<String> rxInsertWithOptions(String collection,
                                                    JsonObject document,
                                                    WriteOption writeOption)

      Description copied from class: `MongoClient`
      Insert a document in the specified collection with the specified write option

      This operation might change _id field of document parameter

      Overrides:
        `rxInsertWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `document` - the document
        `writeOption` - the write option to use
      Returns:

    - #### update

          @Deprecated
          public MongoService update(String collection,
                                                 JsonObject query,
                                                 JsonObject update,
                                                 Handler<AsyncResult<Void>> resultHandler)

      Deprecated.
      Description copied from class: `MongoClient`
      Update matching documents in the specified collection
      Overrides:
        `update` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
        `resultHandler` - will be called when complete
      Returns:

    - #### updateObservable

          @Deprecated
          public Observable<Void> updateObservable(String collection,
                                                               JsonObject query,
                                                               JsonObject update)

      Deprecated.
      Description copied from class: `MongoClient`
      Update matching documents in the specified collection
      Overrides:
        `updateObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
      Returns:

    - #### rxUpdate

          @Deprecated
          public Single<Void> rxUpdate(String collection,
                                                   JsonObject query,
                                                   JsonObject update)

      Deprecated.
      Description copied from class: `MongoClient`
      Update matching documents in the specified collection
      Overrides:
        `rxUpdate` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
      Returns:

    - #### updateCollection

          public MongoService updateCollection(String collection,
                                               JsonObject query,
                                               JsonObject update,
                                               Handler<AsyncResult<MongoClientUpdateResult>> resultHandler)

      Description copied from class: `MongoClient`
      Update matching documents in the specified collection and return the handler with MongoClientUpdateResult result
      Overrides:
        `updateCollection` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
        `resultHandler` - will be called when complete
      Returns:

    - #### updateCollectionObservable

          @Deprecated
          public Observable<MongoClientUpdateResult> updateCollectionObservable(String collection,
                                                                                            JsonObject query,
                                                                                            JsonObject update)

      Deprecated.
      Description copied from class: `MongoClient`
      Update matching documents in the specified collection and return the handler with MongoClientUpdateResult result
      Overrides:
        `updateCollectionObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
      Returns:

    - #### rxUpdateCollection

          public Single<MongoClientUpdateResult> rxUpdateCollection(String collection,
                                                                    JsonObject query,
                                                                    JsonObject update)

      Description copied from class: `MongoClient`
      Update matching documents in the specified collection and return the handler with MongoClientUpdateResult result
      Overrides:
        `rxUpdateCollection` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
      Returns:

    - #### updateWithOptions

          @Deprecated
          public MongoService updateWithOptions(String collection,
                                                            JsonObject query,
                                                            JsonObject update,
                                                            UpdateOptions options,
                                                            Handler<AsyncResult<Void>> resultHandler)

      Deprecated.
      Description copied from class: `MongoClient`
      Update matching documents in the specified collection, specifying options
      Overrides:
        `updateWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
        `options` - options to configure the update
        `resultHandler` - will be called when complete
      Returns:

    - #### updateWithOptionsObservable

          @Deprecated
          public Observable<Void> updateWithOptionsObservable(String collection,
                                                                          JsonObject query,
                                                                          JsonObject update,
                                                                          UpdateOptions options)

      Deprecated.
      Description copied from class: `MongoClient`
      Update matching documents in the specified collection, specifying options
      Overrides:
        `updateWithOptionsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
        `options` - options to configure the update
      Returns:

    - #### rxUpdateWithOptions

          @Deprecated
          public Single<Void> rxUpdateWithOptions(String collection,
                                                              JsonObject query,
                                                              JsonObject update,
                                                              UpdateOptions options)

      Deprecated.
      Description copied from class: `MongoClient`
      Update matching documents in the specified collection, specifying options
      Overrides:
        `rxUpdateWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
        `options` - options to configure the update
      Returns:

    - #### updateCollectionWithOptions

          public MongoService updateCollectionWithOptions(String collection,
                                                          JsonObject query,
                                                          JsonObject update,
                                                          UpdateOptions options,
                                                          Handler<AsyncResult<MongoClientUpdateResult>> resultHandler)

      Description copied from class: `MongoClient`
      Update matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
      Overrides:
        `updateCollectionWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
        `options` - options to configure the update
        `resultHandler` - will be called when complete
      Returns:

    - #### updateCollectionWithOptionsObservable

          @Deprecated
          public Observable<MongoClientUpdateResult> updateCollectionWithOptionsObservable(String collection,
                                                                                                       JsonObject query,
                                                                                                       JsonObject update,
                                                                                                       UpdateOptions options)

      Deprecated.
      Description copied from class: `MongoClient`
      Update matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
      Overrides:
        `updateCollectionWithOptionsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
        `options` - options to configure the update
      Returns:

    - #### rxUpdateCollectionWithOptions

          public Single<MongoClientUpdateResult> rxUpdateCollectionWithOptions(String collection,
                                                                               JsonObject query,
                                                                               JsonObject update,
                                                                               UpdateOptions options)

      Description copied from class: `MongoClient`
      Update matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
      Overrides:
        `rxUpdateCollectionWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `update` - used to describe how the documents will be updated
        `options` - options to configure the update
      Returns:

    - #### replace

          @Deprecated
          public MongoService replace(String collection,
                                                  JsonObject query,
                                                  JsonObject replace,
                                                  Handler<AsyncResult<Void>> resultHandler)

      Deprecated.
      Description copied from class: `MongoClient`
      Replace matching documents in the specified collection

      This operation might change _id field of replace parameter

      Overrides:
        `replace` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
        `resultHandler` - will be called when complete
      Returns:

    - #### replaceObservable

          @Deprecated
          public Observable<Void> replaceObservable(String collection,
                                                                JsonObject query,
                                                                JsonObject replace)

      Deprecated.
      Description copied from class: `MongoClient`
      Replace matching documents in the specified collection

      This operation might change _id field of replace parameter

      Overrides:
        `replaceObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
      Returns:

    - #### rxReplace

          @Deprecated
          public Single<Void> rxReplace(String collection,
                                                    JsonObject query,
                                                    JsonObject replace)

      Deprecated.
      Description copied from class: `MongoClient`
      Replace matching documents in the specified collection

      This operation might change _id field of replace parameter

      Overrides:
        `rxReplace` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
      Returns:

    - #### replaceDocuments

          public MongoService replaceDocuments(String collection,
                                               JsonObject query,
                                               JsonObject replace,
                                               Handler<AsyncResult<MongoClientUpdateResult>> resultHandler)

      Description copied from class: `MongoClient`
      Replace matching documents in the specified collection and return the handler with MongoClientUpdateResult result
      Overrides:
        `replaceDocuments` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
        `resultHandler` - will be called when complete
      Returns:

    - #### replaceDocumentsObservable

          @Deprecated
          public Observable<MongoClientUpdateResult> replaceDocumentsObservable(String collection,
                                                                                            JsonObject query,
                                                                                            JsonObject replace)

      Deprecated.
      Description copied from class: `MongoClient`
      Replace matching documents in the specified collection and return the handler with MongoClientUpdateResult result
      Overrides:
        `replaceDocumentsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
      Returns:

    - #### rxReplaceDocuments

          public Single<MongoClientUpdateResult> rxReplaceDocuments(String collection,
                                                                    JsonObject query,
                                                                    JsonObject replace)

      Description copied from class: `MongoClient`
      Replace matching documents in the specified collection and return the handler with MongoClientUpdateResult result
      Overrides:
        `rxReplaceDocuments` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
      Returns:

    - #### replaceWithOptions

          @Deprecated
          public MongoService replaceWithOptions(String collection,
                                                             JsonObject query,
                                                             JsonObject replace,
                                                             UpdateOptions options,
                                                             Handler<AsyncResult<Void>> resultHandler)

      Deprecated.
      Description copied from class: `MongoClient`
      Replace matching documents in the specified collection, specifying options

      This operation might change _id field of replace parameter

      Overrides:
        `replaceWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
        `options` - options to configure the replace
        `resultHandler` - will be called when complete
      Returns:

    - #### replaceWithOptionsObservable

          @Deprecated
          public Observable<Void> replaceWithOptionsObservable(String collection,
                                                                           JsonObject query,
                                                                           JsonObject replace,
                                                                           UpdateOptions options)

      Deprecated.
      Description copied from class: `MongoClient`
      Replace matching documents in the specified collection, specifying options

      This operation might change _id field of replace parameter

      Overrides:
        `replaceWithOptionsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
        `options` - options to configure the replace
      Returns:

    - #### rxReplaceWithOptions

          @Deprecated
          public Single<Void> rxReplaceWithOptions(String collection,
                                                               JsonObject query,
                                                               JsonObject replace,
                                                               UpdateOptions options)

      Deprecated.
      Description copied from class: `MongoClient`
      Replace matching documents in the specified collection, specifying options

      This operation might change _id field of replace parameter

      Overrides:
        `rxReplaceWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
        `options` - options to configure the replace
      Returns:

    - #### replaceDocumentsWithOptions

          public MongoService replaceDocumentsWithOptions(String collection,
                                                          JsonObject query,
                                                          JsonObject replace,
                                                          UpdateOptions options,
                                                          Handler<AsyncResult<MongoClientUpdateResult>> resultHandler)

      Description copied from class: `MongoClient`
      Replace matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
      Overrides:
        `replaceDocumentsWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
        `options` - options to configure the replace
        `resultHandler` - will be called when complete
      Returns:

    - #### replaceDocumentsWithOptionsObservable

          @Deprecated
          public Observable<MongoClientUpdateResult> replaceDocumentsWithOptionsObservable(String collection,
                                                                                                       JsonObject query,
                                                                                                       JsonObject replace,
                                                                                                       UpdateOptions options)

      Deprecated.
      Description copied from class: `MongoClient`
      Replace matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
      Overrides:
        `replaceDocumentsWithOptionsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
        `options` - options to configure the replace
      Returns:

    - #### rxReplaceDocumentsWithOptions

          public Single<MongoClientUpdateResult> rxReplaceDocumentsWithOptions(String collection,
                                                                               JsonObject query,
                                                                               JsonObject replace,
                                                                               UpdateOptions options)

      Description copied from class: `MongoClient`
      Replace matching documents in the specified collection, specifying options and return the handler with MongoClientUpdateResult result
      Overrides:
        `rxReplaceDocumentsWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match the documents
        `replace` - all matching documents will be replaced with this
        `options` - options to configure the replace
      Returns:

    - #### bulkWrite

          public MongoService bulkWrite(String collection,
                                        List<BulkOperation> operations,
                                        Handler<AsyncResult<MongoClientBulkWriteResult>> resultHandler)

      Description copied from class: `MongoClient`
      Execute a bulk operation. Can insert, update, replace, and/or delete multiple documents with one request.
      Overrides:
        `bulkWrite` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `operations` - the operations to execute
        `resultHandler` - will be called with a `MongoClientBulkWriteResult` when complete
      Returns:

    - #### bulkWriteObservable

          @Deprecated
          public Observable<MongoClientBulkWriteResult> bulkWriteObservable(String collection,
                                                                                        List<BulkOperation> operations)

      Deprecated.
      Description copied from class: `MongoClient`
      Execute a bulk operation. Can insert, update, replace, and/or delete multiple documents with one request.
      Overrides:
        `bulkWriteObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `operations` - the operations to execute
      Returns:

    - #### rxBulkWrite

          public Single<MongoClientBulkWriteResult> rxBulkWrite(String collection,
                                                                List<BulkOperation> operations)

      Description copied from class: `MongoClient`
      Execute a bulk operation. Can insert, update, replace, and/or delete multiple documents with one request.
      Overrides:
        `rxBulkWrite` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `operations` - the operations to execute
      Returns:

    - #### bulkWriteWithOptions

          public MongoService bulkWriteWithOptions(String collection,
                                                   List<BulkOperation> operations,
                                                   BulkWriteOptions bulkWriteOptions,
                                                   Handler<AsyncResult<MongoClientBulkWriteResult>> resultHandler)

      Description copied from class: `MongoClient`
      Execute a bulk operation with the specified write options. Can insert, update, replace, and/or delete multiple documents with one request.
      Overrides:
        `bulkWriteWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `operations` - the operations to execute
        `bulkWriteOptions` - the write options
        `resultHandler` - will be called with a `MongoClientBulkWriteResult` when complete
      Returns:

    - #### bulkWriteWithOptionsObservable

          @Deprecated
          public Observable<MongoClientBulkWriteResult> bulkWriteWithOptionsObservable(String collection,
                                                                                                   List<BulkOperation> operations,
                                                                                                   BulkWriteOptions bulkWriteOptions)

      Deprecated.
      Description copied from class: `MongoClient`
      Execute a bulk operation with the specified write options. Can insert, update, replace, and/or delete multiple documents with one request.
      Overrides:
        `bulkWriteWithOptionsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `operations` - the operations to execute
        `bulkWriteOptions` - the write options
      Returns:

    - #### rxBulkWriteWithOptions

          public Single<MongoClientBulkWriteResult> rxBulkWriteWithOptions(String collection,
                                                                           List<BulkOperation> operations,
                                                                           BulkWriteOptions bulkWriteOptions)

      Description copied from class: `MongoClient`
      Execute a bulk operation with the specified write options. Can insert, update, replace, and/or delete multiple documents with one request.
      Overrides:
        `rxBulkWriteWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `operations` - the operations to execute
        `bulkWriteOptions` - the write options
      Returns:

    - #### find

          public MongoService find(String collection,
                                   JsonObject query,
                                   Handler<AsyncResult<List<JsonObject>>> resultHandler)

      Description copied from class: `MongoClient`
      Find matching documents in the specified collection
      Overrides:
        `find` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `resultHandler` - will be provided with list of documents
      Returns:

    - #### findObservable

          @Deprecated
          public Observable<List<JsonObject>> findObservable(String collection,
                                                                         JsonObject query)

      Deprecated.
      Description copied from class: `MongoClient`
      Find matching documents in the specified collection
      Overrides:
        `findObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### rxFind

          public Single<List<JsonObject>> rxFind(String collection,
                                                 JsonObject query)

      Description copied from class: `MongoClient`
      Find matching documents in the specified collection
      Overrides:
        `rxFind` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### findWithOptions

          public MongoService findWithOptions(String collection,
                                              JsonObject query,
                                              FindOptions options,
                                              Handler<AsyncResult<List<JsonObject>>> resultHandler)

      Description copied from class: `MongoClient`
      Find matching documents in the specified collection, specifying options
      Overrides:
        `findWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `options` - options to configure the find
        `resultHandler` - will be provided with list of documents
      Returns:

    - #### findWithOptionsObservable

          @Deprecated
          public Observable<List<JsonObject>> findWithOptionsObservable(String collection,
                                                                                    JsonObject query,
                                                                                    FindOptions options)

      Deprecated.
      Description copied from class: `MongoClient`
      Find matching documents in the specified collection, specifying options
      Overrides:
        `findWithOptionsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `options` - options to configure the find
      Returns:

    - #### rxFindWithOptions

          public Single<List<JsonObject>> rxFindWithOptions(String collection,
                                                            JsonObject query,
                                                            FindOptions options)

      Description copied from class: `MongoClient`
      Find matching documents in the specified collection, specifying options
      Overrides:
        `rxFindWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `options` - options to configure the find
      Returns:

    - #### findOne

          public MongoService findOne(String collection,
                                      JsonObject query,
                                      JsonObject fields,
                                      Handler<AsyncResult<JsonObject>> resultHandler)

      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection

      This operation might change _id field of query parameter

      Overrides:
        `findOne` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `fields` - the fields
        `resultHandler` - will be provided with the document, if any
      Returns:

    - #### findOneObservable

          @Deprecated
          public Observable<JsonObject> findOneObservable(String collection,
                                                                      JsonObject query,
                                                                      JsonObject fields)

      Deprecated.
      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection

      This operation might change _id field of query parameter

      Overrides:
        `findOneObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `fields` - the fields
      Returns:

    - #### rxFindOne

          public Single<JsonObject> rxFindOne(String collection,
                                              JsonObject query,
                                              JsonObject fields)

      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection

      This operation might change _id field of query parameter

      Overrides:
        `rxFindOne` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `fields` - the fields
      Returns:

    - #### findOneAndUpdate

          public MongoService findOneAndUpdate(String collection,
                                               JsonObject query,
                                               JsonObject update,
                                               Handler<AsyncResult<JsonObject>> resultHandler)

      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and update it.

      This operation might change _id field of query parameter

      Overrides:
        `findOneAndUpdate` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `update` - used to describe how the documents will be updated
        `resultHandler` - will be provided with the document, if any
      Returns:

    - #### findOneAndUpdateObservable

          @Deprecated
          public Observable<JsonObject> findOneAndUpdateObservable(String collection,
                                                                               JsonObject query,
                                                                               JsonObject update)

      Deprecated.
      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and update it.

      This operation might change _id field of query parameter

      Overrides:
        `findOneAndUpdateObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `update` - used to describe how the documents will be updated
      Returns:

    - #### rxFindOneAndUpdate

          public Single<JsonObject> rxFindOneAndUpdate(String collection,
                                                       JsonObject query,
                                                       JsonObject update)

      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and update it.

      This operation might change _id field of query parameter

      Overrides:
        `rxFindOneAndUpdate` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `update` - used to describe how the documents will be updated
      Returns:

    - #### findOneAndUpdateWithOptions

          public MongoService findOneAndUpdateWithOptions(String collection,
                                                          JsonObject query,
                                                          JsonObject update,
                                                          FindOptions findOptions,
                                                          UpdateOptions updateOptions,
                                                          Handler<AsyncResult<JsonObject>> resultHandler)

      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and update it.

      This operation might change _id field of query parameter

      Overrides:
        `findOneAndUpdateWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `update` - used to describe how the documents will be updated
        `findOptions` - options to configure the find
        `updateOptions` - options to configure the update
        `resultHandler` - will be provided with the document, if any
      Returns:

    - #### findOneAndUpdateWithOptionsObservable

          @Deprecated
          public Observable<JsonObject> findOneAndUpdateWithOptionsObservable(String collection,
                                                                                          JsonObject query,
                                                                                          JsonObject update,
                                                                                          FindOptions findOptions,
                                                                                          UpdateOptions updateOptions)

      Deprecated.
      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and update it.

      This operation might change _id field of query parameter

      Overrides:
        `findOneAndUpdateWithOptionsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `update` - used to describe how the documents will be updated
        `findOptions` - options to configure the find
        `updateOptions` - options to configure the update
      Returns:

    - #### rxFindOneAndUpdateWithOptions

          public Single<JsonObject> rxFindOneAndUpdateWithOptions(String collection,
                                                                  JsonObject query,
                                                                  JsonObject update,
                                                                  FindOptions findOptions,
                                                                  UpdateOptions updateOptions)

      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and update it.

      This operation might change _id field of query parameter

      Overrides:
        `rxFindOneAndUpdateWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `update` - used to describe how the documents will be updated
        `findOptions` - options to configure the find
        `updateOptions` - options to configure the update
      Returns:

    - #### findOneAndReplace

          public MongoService findOneAndReplace(String collection,
                                                JsonObject query,
                                                JsonObject replace,
                                                Handler<AsyncResult<JsonObject>> resultHandler)

      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and replace it.

      This operation might change _id field of query parameter

      Overrides:
        `findOneAndReplace` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `replace` - the replacement document
        `resultHandler` - will be provided with the document, if any
      Returns:

    - #### findOneAndReplaceObservable

          @Deprecated
          public Observable<JsonObject> findOneAndReplaceObservable(String collection,
                                                                                JsonObject query,
                                                                                JsonObject replace)

      Deprecated.
      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and replace it.

      This operation might change _id field of query parameter

      Overrides:
        `findOneAndReplaceObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `replace` - the replacement document
      Returns:

    - #### rxFindOneAndReplace

          public Single<JsonObject> rxFindOneAndReplace(String collection,
                                                        JsonObject query,
                                                        JsonObject replace)

      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and replace it.

      This operation might change _id field of query parameter

      Overrides:
        `rxFindOneAndReplace` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `replace` - the replacement document
      Returns:

    - #### findOneAndReplaceWithOptions

          public MongoService findOneAndReplaceWithOptions(String collection,
                                                           JsonObject query,
                                                           JsonObject update,
                                                           FindOptions findOptions,
                                                           UpdateOptions updateOptions,
                                                           Handler<AsyncResult<JsonObject>> resultHandler)

      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and replace it.

      This operation might change _id field of query parameter

      Overrides:
        `findOneAndReplaceWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `update` - the replacement document
        `findOptions` - options to configure the find
        `updateOptions` - options to configure the update
        `resultHandler` - will be provided with the document, if any
      Returns:

    - #### findOneAndReplaceWithOptionsObservable

          @Deprecated
          public Observable<JsonObject> findOneAndReplaceWithOptionsObservable(String collection,
                                                                                           JsonObject query,
                                                                                           JsonObject update,
                                                                                           FindOptions findOptions,
                                                                                           UpdateOptions updateOptions)

      Deprecated.
      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and replace it.

      This operation might change _id field of query parameter

      Overrides:
        `findOneAndReplaceWithOptionsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `update` - the replacement document
        `findOptions` - options to configure the find
        `updateOptions` - options to configure the update
      Returns:

    - #### rxFindOneAndReplaceWithOptions

          public Single<JsonObject> rxFindOneAndReplaceWithOptions(String collection,
                                                                   JsonObject query,
                                                                   JsonObject update,
                                                                   FindOptions findOptions,
                                                                   UpdateOptions updateOptions)

      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and replace it.

      This operation might change _id field of query parameter

      Overrides:
        `rxFindOneAndReplaceWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `update` - the replacement document
        `findOptions` - options to configure the find
        `updateOptions` - options to configure the update
      Returns:

    - #### findOneAndDelete

          public MongoService findOneAndDelete(String collection,
                                               JsonObject query,
                                               Handler<AsyncResult<JsonObject>> resultHandler)

      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and delete it.

      This operation might change _id field of query parameter

      Overrides:
        `findOneAndDelete` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `resultHandler` - will be provided with the deleted document, if any
      Returns:

    - #### findOneAndDeleteObservable

          @Deprecated
          public Observable<JsonObject> findOneAndDeleteObservable(String collection,
                                                                               JsonObject query)

      Deprecated.
      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and delete it.

      This operation might change _id field of query parameter

      Overrides:
        `findOneAndDeleteObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
      Returns:

    - #### rxFindOneAndDelete

          public Single<JsonObject> rxFindOneAndDelete(String collection,
                                                       JsonObject query)

      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and delete it.

      This operation might change _id field of query parameter

      Overrides:
        `rxFindOneAndDelete` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
      Returns:

    - #### findOneAndDeleteWithOptions

          public MongoService findOneAndDeleteWithOptions(String collection,
                                                          JsonObject query,
                                                          FindOptions findOptions,
                                                          Handler<AsyncResult<JsonObject>> resultHandler)

      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and delete it.

      This operation might change _id field of query parameter

      Overrides:
        `findOneAndDeleteWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `findOptions` - options to configure the find
        `resultHandler` - will be provided with the deleted document, if any
      Returns:

    - #### findOneAndDeleteWithOptionsObservable

          @Deprecated
          public Observable<JsonObject> findOneAndDeleteWithOptionsObservable(String collection,
                                                                                          JsonObject query,
                                                                                          FindOptions findOptions)

      Deprecated.
      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and delete it.

      This operation might change _id field of query parameter

      Overrides:
        `findOneAndDeleteWithOptionsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `findOptions` - options to configure the find
      Returns:

    - #### rxFindOneAndDeleteWithOptions

          public Single<JsonObject> rxFindOneAndDeleteWithOptions(String collection,
                                                                  JsonObject query,
                                                                  FindOptions findOptions)

      Description copied from class: `MongoClient`
      Find a single matching document in the specified collection and delete it.

      This operation might change _id field of query parameter

      Overrides:
        `rxFindOneAndDeleteWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - the query used to match the document
        `findOptions` - options to configure the find
      Returns:

    - #### count

          public MongoService count(String collection,
                                    JsonObject query,
                                    Handler<AsyncResult<Long>> resultHandler)

      Description copied from class: `MongoClient`
      Count matching documents in a collection.
      Overrides:
        `count` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `resultHandler` - will be provided with the number of matching documents
      Returns:

    - #### countObservable

          @Deprecated
          public Observable<Long> countObservable(String collection,
                                                              JsonObject query)

      Deprecated.
      Description copied from class: `MongoClient`
      Count matching documents in a collection.
      Overrides:
        `countObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### rxCount

          public Single<Long> rxCount(String collection,
                                      JsonObject query)

      Description copied from class: `MongoClient`
      Count matching documents in a collection.
      Overrides:
        `rxCount` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### remove

          @Deprecated
          public MongoService remove(String collection,
                                                 JsonObject query,
                                                 Handler<AsyncResult<Void>> resultHandler)

      Deprecated.
      Description copied from class: `MongoClient`
      Remove matching documents from a collection
      Overrides:
        `remove` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `resultHandler` - will be called when complete
      Returns:

    - #### removeObservable

          @Deprecated
          public Observable<Void> removeObservable(String collection,
                                                               JsonObject query)

      Deprecated.
      Description copied from class: `MongoClient`
      Remove matching documents from a collection
      Overrides:
        `removeObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### rxRemove

          @Deprecated
          public Single<Void> rxRemove(String collection,
                                                   JsonObject query)

      Deprecated.
      Description copied from class: `MongoClient`
      Remove matching documents from a collection
      Overrides:
        `rxRemove` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### removeDocuments

          public MongoService removeDocuments(String collection,
                                              JsonObject query,
                                              Handler<AsyncResult<MongoClientDeleteResult>> resultHandler)

      Description copied from class: `MongoClient`
      Remove matching documents from a collection and return the handler with MongoClientDeleteResult result
      Overrides:
        `removeDocuments` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `resultHandler` - will be called when complete
      Returns:

    - #### removeDocumentsObservable

          @Deprecated
          public Observable<MongoClientDeleteResult> removeDocumentsObservable(String collection,
                                                                                           JsonObject query)

      Deprecated.
      Description copied from class: `MongoClient`
      Remove matching documents from a collection and return the handler with MongoClientDeleteResult result
      Overrides:
        `removeDocumentsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### rxRemoveDocuments

          public Single<MongoClientDeleteResult> rxRemoveDocuments(String collection,
                                                                   JsonObject query)

      Description copied from class: `MongoClient`
      Remove matching documents from a collection and return the handler with MongoClientDeleteResult result
      Overrides:
        `rxRemoveDocuments` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
      Returns:

    - #### removeWithOptions

          @Deprecated
          public MongoService removeWithOptions(String collection,
                                                            JsonObject query,
                                                            WriteOption writeOption,
                                                            Handler<AsyncResult<Void>> resultHandler)

      Deprecated.
      Description copied from class: `MongoClient`
      Remove matching documents from a collection with the specified write option
      Overrides:
        `removeWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `writeOption` - the write option to use
        `resultHandler` - will be called when complete
      Returns:

    - #### removeWithOptionsObservable

          @Deprecated
          public Observable<Void> removeWithOptionsObservable(String collection,
                                                                          JsonObject query,
                                                                          WriteOption writeOption)

      Deprecated.
      Description copied from class: `MongoClient`
      Remove matching documents from a collection with the specified write option
      Overrides:
        `removeWithOptionsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `writeOption` - the write option to use
      Returns:

    - #### rxRemoveWithOptions

          @Deprecated
          public Single<Void> rxRemoveWithOptions(String collection,
                                                              JsonObject query,
                                                              WriteOption writeOption)

      Deprecated.
      Description copied from class: `MongoClient`
      Remove matching documents from a collection with the specified write option
      Overrides:
        `rxRemoveWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `writeOption` - the write option to use
      Returns:

    - #### removeDocumentsWithOptions

          public MongoService removeDocumentsWithOptions(String collection,
                                                         JsonObject query,
                                                         WriteOption writeOption,
                                                         Handler<AsyncResult<MongoClientDeleteResult>> resultHandler)

      Description copied from class: `MongoClient`
      Remove matching documents from a collection with the specified write option and return the handler with MongoClientDeleteResult result
      Overrides:
        `removeDocumentsWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `writeOption` - the write option to use
        `resultHandler` - will be called when complete
      Returns:

    - #### removeDocumentsWithOptionsObservable

          @Deprecated
          public Observable<MongoClientDeleteResult> removeDocumentsWithOptionsObservable(String collection,
                                                                                                      JsonObject query,
                                                                                                      WriteOption writeOption)

      Deprecated.
      Description copied from class: `MongoClient`
      Remove matching documents from a collection with the specified write option and return the handler with MongoClientDeleteResult result
      Overrides:
        `removeDocumentsWithOptionsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `writeOption` - the write option to use
      Returns:

    - #### rxRemoveDocumentsWithOptions

          public Single<MongoClientDeleteResult> rxRemoveDocumentsWithOptions(String collection,
                                                                              JsonObject query,
                                                                              WriteOption writeOption)

      Description copied from class: `MongoClient`
      Remove matching documents from a collection with the specified write option and return the handler with MongoClientDeleteResult result
      Overrides:
        `rxRemoveDocumentsWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match documents
        `writeOption` - the write option to use
      Returns:

    - #### removeOne

          @Deprecated
          public MongoService removeOne(String collection,
                                                    JsonObject query,
                                                    Handler<AsyncResult<Void>> resultHandler)

      Deprecated.
      Description copied from class: `MongoClient`
      Remove a single matching document from a collection
      Overrides:
        `removeOne` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match document
        `resultHandler` - will be called when complete
      Returns:

    - #### removeOneObservable

          @Deprecated
          public Observable<Void> removeOneObservable(String collection,
                                                                  JsonObject query)

      Deprecated.
      Description copied from class: `MongoClient`
      Remove a single matching document from a collection
      Overrides:
        `removeOneObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match document
      Returns:

    - #### rxRemoveOne

          @Deprecated
          public Single<Void> rxRemoveOne(String collection,
                                                      JsonObject query)

      Deprecated.
      Description copied from class: `MongoClient`
      Remove a single matching document from a collection
      Overrides:
        `rxRemoveOne` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match document
      Returns:

    - #### removeDocument

          public MongoService removeDocument(String collection,
                                             JsonObject query,
                                             Handler<AsyncResult<MongoClientDeleteResult>> resultHandler)

      Description copied from class: `MongoClient`
      Remove a single matching document from a collection and return the handler with MongoClientDeleteResult result
      Overrides:
        `removeDocument` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match document
        `resultHandler` - will be called when complete
      Returns:

    - #### removeDocumentObservable

          @Deprecated
          public Observable<MongoClientDeleteResult> removeDocumentObservable(String collection,
                                                                                          JsonObject query)

      Deprecated.
      Description copied from class: `MongoClient`
      Remove a single matching document from a collection and return the handler with MongoClientDeleteResult result
      Overrides:
        `removeDocumentObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match document
      Returns:

    - #### rxRemoveDocument

          public Single<MongoClientDeleteResult> rxRemoveDocument(String collection,
                                                                  JsonObject query)

      Description copied from class: `MongoClient`
      Remove a single matching document from a collection and return the handler with MongoClientDeleteResult result
      Overrides:
        `rxRemoveDocument` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match document
      Returns:

    - #### removeOneWithOptions

          @Deprecated
          public MongoService removeOneWithOptions(String collection,
                                                               JsonObject query,
                                                               WriteOption writeOption,
                                                               Handler<AsyncResult<Void>> resultHandler)

      Deprecated.
      Description copied from class: `MongoClient`
      Remove a single matching document from a collection with the specified write option
      Overrides:
        `removeOneWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match document
        `writeOption` - the write option to use
        `resultHandler` - will be called when complete
      Returns:

    - #### removeOneWithOptionsObservable

          @Deprecated
          public Observable<Void> removeOneWithOptionsObservable(String collection,
                                                                             JsonObject query,
                                                                             WriteOption writeOption)

      Deprecated.
      Description copied from class: `MongoClient`
      Remove a single matching document from a collection with the specified write option
      Overrides:
        `removeOneWithOptionsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match document
        `writeOption` - the write option to use
      Returns:

    - #### rxRemoveOneWithOptions

          @Deprecated
          public Single<Void> rxRemoveOneWithOptions(String collection,
                                                                 JsonObject query,
                                                                 WriteOption writeOption)

      Deprecated.
      Description copied from class: `MongoClient`
      Remove a single matching document from a collection with the specified write option
      Overrides:
        `rxRemoveOneWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match document
        `writeOption` - the write option to use
      Returns:

    - #### removeDocumentWithOptions

          public MongoService removeDocumentWithOptions(String collection,
                                                        JsonObject query,
                                                        WriteOption writeOption,
                                                        Handler<AsyncResult<MongoClientDeleteResult>> resultHandler)

      Description copied from class: `MongoClient`
      Remove a single matching document from a collection with the specified write option and return the handler with MongoClientDeleteResult result
      Overrides:
        `removeDocumentWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match document
        `writeOption` - the write option to use
        `resultHandler` - will be called when complete
      Returns:

    - #### removeDocumentWithOptionsObservable

          @Deprecated
          public Observable<MongoClientDeleteResult> removeDocumentWithOptionsObservable(String collection,
                                                                                                     JsonObject query,
                                                                                                     WriteOption writeOption)

      Deprecated.
      Description copied from class: `MongoClient`
      Remove a single matching document from a collection with the specified write option and return the handler with MongoClientDeleteResult result
      Overrides:
        `removeDocumentWithOptionsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match document
        `writeOption` - the write option to use
      Returns:

    - #### rxRemoveDocumentWithOptions

          public Single<MongoClientDeleteResult> rxRemoveDocumentWithOptions(String collection,
                                                                             JsonObject query,
                                                                             WriteOption writeOption)

      Description copied from class: `MongoClient`
      Remove a single matching document from a collection with the specified write option and return the handler with MongoClientDeleteResult result
      Overrides:
        `rxRemoveDocumentWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `query` - query used to match document
        `writeOption` - the write option to use
      Returns:

    - #### createCollection

          public MongoService createCollection(String collectionName,
                                               Handler<AsyncResult<Void>> resultHandler)

      Description copied from class: `MongoClient`
      Create a new collection
      Overrides:
        `createCollection` in class `MongoClient`
      Parameters:
        `collectionName` - the name of the collection
        `resultHandler` - will be called when complete
      Returns:

    - #### createCollectionObservable

          @Deprecated
          public Observable<Void> createCollectionObservable(String collectionName)

      Deprecated.
      Description copied from class: `MongoClient`
      Create a new collection
      Overrides:
        `createCollectionObservable` in class `MongoClient`
      Parameters:
        `collectionName` - the name of the collection
      Returns:

    - #### rxCreateCollection

          public Single<Void> rxCreateCollection(String collectionName)

      Description copied from class: `MongoClient`
      Create a new collection
      Overrides:
        `rxCreateCollection` in class `MongoClient`
      Parameters:
        `collectionName` - the name of the collection
      Returns:

    - #### getCollections

          public MongoService getCollections(Handler<AsyncResult<List<String>>> resultHandler)

      Description copied from class: `MongoClient`
      Get a list of all collections in the database.
      Overrides:
        `getCollections` in class `MongoClient`
      Parameters:
        `resultHandler` - will be called with a list of collections.
      Returns:

    - #### getCollectionsObservable

          @Deprecated
          public Observable<List<String>> getCollectionsObservable()

      Deprecated.
      Description copied from class: `MongoClient`
      Get a list of all collections in the database.
      Overrides:
        `getCollectionsObservable` in class `MongoClient`
      Returns:

    - #### rxGetCollections

          public Single<List<String>> rxGetCollections()

      Description copied from class: `MongoClient`
      Get a list of all collections in the database.
      Overrides:
        `rxGetCollections` in class `MongoClient`
      Returns:

    - #### dropCollection

          public MongoService dropCollection(String collection,
                                             Handler<AsyncResult<Void>> resultHandler)

      Description copied from class: `MongoClient`
      Drop a collection
      Overrides:
        `dropCollection` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `resultHandler` - will be called when complete
      Returns:

    - #### dropCollectionObservable

          @Deprecated
          public Observable<Void> dropCollectionObservable(String collection)

      Deprecated.
      Description copied from class: `MongoClient`
      Drop a collection
      Overrides:
        `dropCollectionObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
      Returns:

    - #### rxDropCollection

          public Single<Void> rxDropCollection(String collection)

      Description copied from class: `MongoClient`
      Drop a collection
      Overrides:
        `rxDropCollection` in class `MongoClient`
      Parameters:
        `collection` - the collection
      Returns:

    - #### createIndex

          public MongoService createIndex(String collection,
                                          JsonObject key,
                                          Handler<AsyncResult<Void>> resultHandler)

      Description copied from class: `MongoClient`
      Creates an index.
      Overrides:
        `createIndex` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `key` - A document that contains the field and value pairs where the field is the index key and the value describes the type of index for that field. For an ascending index on a field, specify a value of 1; for descending index, specify a value of -1.
        `resultHandler` - will be called when complete
      Returns:

    - #### createIndexObservable

          @Deprecated
          public Observable<Void> createIndexObservable(String collection,
                                                                    JsonObject key)

      Deprecated.
      Description copied from class: `MongoClient`
      Creates an index.
      Overrides:
        `createIndexObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `key` - A document that contains the field and value pairs where the field is the index key and the value describes the type of index for that field. For an ascending index on a field, specify a value of 1; for descending index, specify a value of -1.
      Returns:

    - #### rxCreateIndex

          public Single<Void> rxCreateIndex(String collection,
                                            JsonObject key)

      Description copied from class: `MongoClient`
      Creates an index.
      Overrides:
        `rxCreateIndex` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `key` - A document that contains the field and value pairs where the field is the index key and the value describes the type of index for that field. For an ascending index on a field, specify a value of 1; for descending index, specify a value of -1.
      Returns:

    - #### createIndexWithOptions

          public MongoService createIndexWithOptions(String collection,
                                                     JsonObject key,
                                                     IndexOptions options,
                                                     Handler<AsyncResult<Void>> resultHandler)

      Description copied from class: `MongoClient`
      Creates an index.
      Overrides:
        `createIndexWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `key` - A document that contains the field and value pairs where the field is the index key and the value describes the type of index for that field. For an ascending index on a field, specify a value of 1; for descending index, specify a value of -1.
        `options` - the options for the index
        `resultHandler` - will be called when complete
      Returns:

    - #### createIndexWithOptionsObservable

          @Deprecated
          public Observable<Void> createIndexWithOptionsObservable(String collection,
                                                                               JsonObject key,
                                                                               IndexOptions options)

      Deprecated.
      Description copied from class: `MongoClient`
      Creates an index.
      Overrides:
        `createIndexWithOptionsObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `key` - A document that contains the field and value pairs where the field is the index key and the value describes the type of index for that field. For an ascending index on a field, specify a value of 1; for descending index, specify a value of -1.
        `options` - the options for the index
      Returns:

    - #### rxCreateIndexWithOptions

          public Single<Void> rxCreateIndexWithOptions(String collection,
                                                       JsonObject key,
                                                       IndexOptions options)

      Description copied from class: `MongoClient`
      Creates an index.
      Overrides:
        `rxCreateIndexWithOptions` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `key` - A document that contains the field and value pairs where the field is the index key and the value describes the type of index for that field. For an ascending index on a field, specify a value of 1; for descending index, specify a value of -1.
        `options` - the options for the index
      Returns:

    - #### listIndexes

          public MongoService listIndexes(String collection,
                                          Handler<AsyncResult<JsonArray>> resultHandler)

      Description copied from class: `MongoClient`
      Get all the indexes in this collection.
      Overrides:
        `listIndexes` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `resultHandler` - will be called when complete
      Returns:

    - #### listIndexesObservable

          @Deprecated
          public Observable<JsonArray> listIndexesObservable(String collection)

      Deprecated.
      Description copied from class: `MongoClient`
      Get all the indexes in this collection.
      Overrides:
        `listIndexesObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
      Returns:

    - #### rxListIndexes

          public Single<JsonArray> rxListIndexes(String collection)

      Description copied from class: `MongoClient`
      Get all the indexes in this collection.
      Overrides:
        `rxListIndexes` in class `MongoClient`
      Parameters:
        `collection` - the collection
      Returns:

    - #### dropIndex

          public MongoService dropIndex(String collection,
                                        String indexName,
                                        Handler<AsyncResult<Void>> resultHandler)

      Description copied from class: `MongoClient`
      Drops the index given its name.
      Overrides:
        `dropIndex` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `indexName` - the name of the index to remove
        `resultHandler` - will be called when complete
      Returns:

    - #### dropIndexObservable

          @Deprecated
          public Observable<Void> dropIndexObservable(String collection,
                                                                  String indexName)

      Deprecated.
      Description copied from class: `MongoClient`
      Drops the index given its name.
      Overrides:
        `dropIndexObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `indexName` - the name of the index to remove
      Returns:

    - #### rxDropIndex

          public Single<Void> rxDropIndex(String collection,
                                          String indexName)

      Description copied from class: `MongoClient`
      Drops the index given its name.
      Overrides:
        `rxDropIndex` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `indexName` - the name of the index to remove
      Returns:

    - #### runCommand

          public MongoService runCommand(String commandName,
                                         JsonObject command,
                                         Handler<AsyncResult<JsonObject>> resultHandler)

      Description copied from class: `MongoClient`
      Run an arbitrary MongoDB command.
      Overrides:
        `runCommand` in class `MongoClient`
      Parameters:
        `commandName` - the name of the command
        `command` - the command
        `resultHandler` - will be called with the result.
      Returns:

    - #### runCommandObservable

          @Deprecated
          public Observable<JsonObject> runCommandObservable(String commandName,
                                                                         JsonObject command)

      Deprecated.
      Description copied from class: `MongoClient`
      Run an arbitrary MongoDB command.
      Overrides:
        `runCommandObservable` in class `MongoClient`
      Parameters:
        `commandName` - the name of the command
        `command` - the command
      Returns:

    - #### rxRunCommand

          public Single<JsonObject> rxRunCommand(String commandName,
                                                 JsonObject command)

      Description copied from class: `MongoClient`
      Run an arbitrary MongoDB command.
      Overrides:
        `rxRunCommand` in class `MongoClient`
      Parameters:
        `commandName` - the name of the command
        `command` - the command
      Returns:

    - #### distinct

          public MongoService distinct(String collection,
                                       String fieldName,
                                       String resultClassname,
                                       Handler<AsyncResult<JsonArray>> resultHandler)

      Description copied from class: `MongoClient`
      Gets the distinct values of the specified field name. Return a JsonArray containing distinct values (eg: [ 1 , 89 ])
      Overrides:
        `distinct` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `fieldName` - the field name
        `resultHandler` - will be provided with array of values.
      Returns:

    - #### distinctObservable

          @Deprecated
          public Observable<JsonArray> distinctObservable(String collection,
                                                                      String fieldName,
                                                                      String resultClassname)

      Deprecated.
      Description copied from class: `MongoClient`
      Gets the distinct values of the specified field name. Return a JsonArray containing distinct values (eg: [ 1 , 89 ])
      Overrides:
        `distinctObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `fieldName` - the field name
      Returns:

    - #### rxDistinct

          public Single<JsonArray> rxDistinct(String collection,
                                              String fieldName,
                                              String resultClassname)

      Description copied from class: `MongoClient`
      Gets the distinct values of the specified field name. Return a JsonArray containing distinct values (eg: [ 1 , 89 ])
      Overrides:
        `rxDistinct` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `fieldName` - the field name
      Returns:

    - #### distinctWithQuery

          public MongoService distinctWithQuery(String collection,
                                                String fieldName,
                                                String resultClassname,
                                                JsonObject query,
                                                Handler<AsyncResult<JsonArray>> resultHandler)

      Description copied from class: `MongoClient`
      Gets the distinct values of the specified field name filtered by specified query. Return a JsonArray containing distinct values (eg: [ 1 , 89 ])
      Overrides:
        `distinctWithQuery` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `fieldName` - the field name
        `query` - the query
        `resultHandler` - will be provided with array of values.
      Returns:

    - #### distinctWithQueryObservable

          @Deprecated
          public Observable<JsonArray> distinctWithQueryObservable(String collection,
                                                                               String fieldName,
                                                                               String resultClassname,
                                                                               JsonObject query)

      Deprecated.
      Description copied from class: `MongoClient`
      Gets the distinct values of the specified field name filtered by specified query. Return a JsonArray containing distinct values (eg: [ 1 , 89 ])
      Overrides:
        `distinctWithQueryObservable` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `fieldName` - the field name
        `query` - the query
      Returns:

    - #### rxDistinctWithQuery

          public Single<JsonArray> rxDistinctWithQuery(String collection,
                                                       String fieldName,
                                                       String resultClassname,
                                                       JsonObject query)

      Description copied from class: `MongoClient`
      Gets the distinct values of the specified field name filtered by specified query. Return a JsonArray containing distinct values (eg: [ 1 , 89 ])
      Overrides:
        `rxDistinctWithQuery` in class `MongoClient`
      Parameters:
        `collection` - the collection
        `fieldName` - the field name
        `query` - the query
      Returns:

    - #### close

          public void close()

      Description copied from class: `MongoClient`
      Close the client and release its resources
      Overrides:
        `close` in class `MongoClient`

    - #### newInstance

          public static MongoService newInstance(io.vertx.ext.mongo.MongoService arg)

Copyright © 2018 Eclipse. All rights reserved.